SCRIPTREPLAY(1)

NOM
scriptreplay - Rejouer un enregistrement fait par script, en utilisant les informations temporelles

SYNOPSIS

scriptreplay [options] [-t] fichier_timing [fichier_script [diviseur]]

DESCRIPTION

Ce programme rejoue un enregistrement fait par script(1), en utilisant les informations temporelles pour s'assurer qu'il s'exécute au même rythme que lors de l'enregistrement.

La répétition affiche simplement à nouveau les informations ; les programmes lancés lors de l'enregistrement de fichier_script ne sont pas réexécutés. Comme les mêmes informations sont réaffichées, scriptreplay ne garantit un bon fonctionnement que s'il est lancé sur le même type de terminal que celui où a été enregistré le fichier_script. Sinon, tout caractère d'échappement de l'enregistrement pourrait être interprété différemment par le terminal sur lequel scriptreplay envoie sa sortie.

Les informations temporelles correspondent à ce que script(1) envoie au fichier spécifié avec --log-timing.

Par défaut, le fichier à rejouer est supposé s'appeler fichier_script, mais d'autres fichiers peuvent être précisés à l'aide du deuxième paramètre ou avec l'option --log-out.

Si le troisième paramètre ou --divisor est indiqué, il est utilisé comme multiplicateur de vitesse. Par exemple, la valeur « 2 » multiplie par 2 la vitesse de scriptreplay, « 0.1 » la divise par 10.

OPTIONS

-I, --log-in fichier
    Fichier contenant l'entrée de terminal de script.

-O, --log-out fichier
    Fichier contenant la sortie de terminal de script.

-B, --log-io fichier
    Fichier contenant la sortie de terminal de script et l’entrée.

-t, --timing fichier
    Fichier contenant la sortie temporelle de script. Cette option outrepasse les paramètres à l'ancienne.

-T, --log-timing fichier
    Alias pour -t, maintenu pour des raisons de compatibilité avec les options de la ligne de commande de script(1).

-s, --typescript fichier
    Fichier contenant la sortie de terminal de script. Alias obsolète pour --log-out. Cette option outrepasse les paramètres à l'ancienne.

-c, --cr-mode mode
    Spécifier la manière d'utiliser le caractère CR (0x0D, retour chariot) dans les fichiers journaux. Le mode par défaut est auto, auquel cas CR est remplacé par un retour à la ligne dans le journal de l'entrée standard, sinon scriptreplay écrasera la même ligne. Les autres modes sont never et always.

-d, --divisor diviseur
    Multiplier la vitesse d'affichage de la répétition (replay) par nombre. L'argument est un nombre à virgule flottante. Il est appelé diviseur car il divise les temps par ce facteur. Cette option outrepasse les paramètres à l'ancienne.

-m, --maxdelay nombre
    Définir le délai maximal entre les mises à jour de transcription à nombre secondes. L'argument est un nombre à virgule flottante. Cela peut être utilisé pour éviter les longues pauses quand la transcription est rejouée.

--summary
    Afficher les détails de la session enregistrée dans le fichier de temps indiqué et quitter. La session doit être enregistrée au format advanced (avancé) (voir l'option --logging-format de script(1), pour plus de détails).

-x, --stream type
    Forcer scriptreplay à n'afficher que les flux indiqués. Les types de flux pris en charge sont in, out, signal ou info. Cette option est recommandée pour des journaux de plusieurs flux (comme --log-io) pour n'afficher que les données indiquées.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version puis quitter.

EXEMPLES

    % script --log-timing fichier.tm --log-out script.out
    Le script a débuté, le fichier est script.out
    % ls
    <etc, etc>
    % exit
    Script terminé, le fichier est script.out
    % scriptreplay --log-timing fichier.tm --log-out script.out

AUTEURS

Le programme scriptreplay original a été écrit par Le programme a été réécrit en C par et

COPYRIGHT

Copyright © 2008 James Youngman

Copyright © 2008-2019 Karel Zak

C'est un logiciel libre ; consultez les sources pour les conditions de copie. Il n'y a AUCUNE garantie ; même pas de VALEUR MARCHANDE ou d'ADÉQUATION À UNE UTILISATION PARTICULIÈRE.

Diffusé sous licence GNU GPL version 2 ou postérieure.

VOIR AUSSI

script(1), scriptlive(1)

SIGNALER DES BOGUES

Pour envoyer un rapport de bogue, utilisez le système de gestion des problèmes à l'adresse

DISPONIBILITÉ

La commande scriptreplay fait partie du paquet util-linux, qui peut être téléchargé de

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <ccb@club-internet.fr>, Michel Quercia <quercia AT cal DOT enst DOT fr>, Thierry Vignaud <tvignaud@mandriva.com>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Christophe Sauthier <christophe@sauthier.com>, Sébastien Blanchet, Jérôme Perzyna <jperzyna@yahoo.fr>, Aymeric Nys <aymeric AT nnx POINT com>, Alain Portal <aportal@univ-montp2.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Yves Rütschlé <l10n@rutschle.net>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Philippe Piette <foudre-blanche@skynet.be>, Jean-Baka Domelevo-Entfellner <domelevo@gmail.com>, Nicolas Haller <nicolas@boiteameuh.org>, Sylvain Archenault <sylvain.archenault@laposte.net>, Valéry Perrin <valery.perrin.debian@free.fr>, Jade Alglave <jade.alglave@ens-lyon.org>, Nicolas François <nicolas.francois@centraliens.net>, Alexandre Kuoch <alex.kuoch@gmail.com>, Lyes Zemmouche <iliaas@hotmail.fr>, Florentin Duneau <fduneau@gmail.com>, Alexandre Normand <aj.normand@free.fr>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.